Page MenuHomePhabricator

Add more explicit error message when creating a type or attribute for an unregistered dialect (NFC)
ClosedPublic

Authored by mehdi_amini on Sep 4 2020, 8:32 PM.

Diff Detail

Event Timeline

mehdi_amini created this revision.Sep 4 2020, 8:32 PM
Herald added a project: Restricted Project. · View Herald Transcript
mehdi_amini requested review of this revision.Sep 4 2020, 8:32 PM
rriddle requested changes to this revision.Sep 7 2020, 2:58 PM
rriddle added inline comments.
mlir/lib/Support/StorageUniquer.cpp
237

A singleton is only one type of storage object, you also need to check for parametric storage objects.

This revision now requires changes to proceed.Sep 7 2020, 2:58 PM

Add checks for parametric storage as well

rriddle accepted this revision.Sep 8 2020, 4:10 AM
rriddle added inline comments.
mlir/include/mlir/IR/TypeSupport.h
19

Why is this include necessary here, but not in AttributeSupport?

This revision is now accepted and ready to land.Sep 8 2020, 4:10 AM
mehdi_amini marked an inline comment as done.

Remove spurious include

This revision was landed with ongoing or failed builds.Sep 8 2020, 9:59 AM
This revision was automatically updated to reflect the committed changes.

Thanks for improving error messages Mehdi!